// Tests for microformats-v2/h-entry
#![allow(non_snake_case, unused_imports)]
use crate::parse::test::suite::check_fixture_for_parser;

#[test]
fn scriptstyletags() {
    check_fixture_for_parser("microformats-v2/h-entry/scriptstyletags");
}

#[test]
fn justaname() {
    check_fixture_for_parser("microformats-v2/h-entry/justaname");
}

#[test]
fn impliedname() {
    check_fixture_for_parser("microformats-v2/h-entry/impliedname");
}

#[test]
fn justahyperlink() {
    check_fixture_for_parser("microformats-v2/h-entry/justahyperlink");
}

#[test]
fn impliedvalue_nested() {
    check_fixture_for_parser("microformats-v2/h-entry/impliedvalue-nested");
}

#[test]
fn summarycontent() {
    check_fixture_for_parser("microformats-v2/h-entry/summarycontent");
}

#[test]
fn u_property() {
    check_fixture_for_parser("microformats-v2/h-entry/u-property");
}